[pkg-kolab] r90 - in trunk/kolab-resource-handlers/debian: . patches

Steffen Joeris white-guest at costa.debian.org
Wed Jan 4 15:46:18 UTC 2006


Author: white-guest
Date: 2006-01-04 15:46:18 +0000 (Wed, 04 Jan 2006)
New Revision: 90

Added:
   trunk/kolab-resource-handlers/debian/patches/30-kolabmailboxfilter.php.dpatch
Modified:
   trunk/kolab-resource-handlers/debian/changelog
   trunk/kolab-resource-handlers/debian/patches/00list
Log:
* add patch for kolabmailboxfilter
* update changelog


Modified: trunk/kolab-resource-handlers/debian/changelog
===================================================================
--- trunk/kolab-resource-handlers/debian/changelog	2006-01-04 15:36:34 UTC (rev 89)
+++ trunk/kolab-resource-handlers/debian/changelog	2006-01-04 15:46:18 UTC (rev 90)
@@ -4,4 +4,4 @@
   part of the Kolab Groupware. See ITP #180634 or Kolab on alioth
   https://alioth.debian.org/projects/pkg-kolab/
 
- -- Noèl Köthe <noel at debian.org>  Tue, 03 Jan 2006 15:22:58 +0100
+ -- Steffen Joeris  Wed, 04 Jan 2006 16:44:58 +0100

Modified: trunk/kolab-resource-handlers/debian/patches/00list
===================================================================
--- trunk/kolab-resource-handlers/debian/patches/00list	2006-01-04 15:36:34 UTC (rev 89)
+++ trunk/kolab-resource-handlers/debian/patches/00list	2006-01-04 15:46:18 UTC (rev 90)
@@ -1,2 +1,3 @@
 10-resmgr.conf
 20-kolabmailtransport.php
+30-kolabmailboxfilter.php

Added: trunk/kolab-resource-handlers/debian/patches/30-kolabmailboxfilter.php.dpatch
===================================================================
--- trunk/kolab-resource-handlers/debian/patches/30-kolabmailboxfilter.php.dpatch	2006-01-04 15:36:34 UTC (rev 89)
+++ trunk/kolab-resource-handlers/debian/patches/30-kolabmailboxfilter.php.dpatch	2006-01-04 15:46:18 UTC (rev 90)
@@ -0,0 +1,65 @@
+#!/bin/sh -e
+## 30-kolabmailboxfilter.dpatch by Steffen Joeris <steffen.joeris at skolelinux.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: correct pathes
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- kolab-resource-handlers-0.3.9/kolab-resource-handlers/resmgr/kolabmailboxfilter.php.orig	2006-01-04 16:00:39.000000000 +0100
++++ kolab-resource-handlers-0.3.9/kolab-resource-handlers/resmgr/kolabmailboxfilter.php	2006-01-04 16:40:18.000000000 +0100
+@@ -1,4 +1,3 @@
+-#!@l_prefix@/bin/php
+ <?php
+ /*
+  *  Copyright (c) 2004,2005 Klaraelvdalens Datakonsult AB
+@@ -22,18 +21,18 @@
+ /* Fix include_path to pick up our modified Horde classes */
+ $include_path = ini_get('include_path');
+ ini_set( 'include_path', 
+-	 '.:@l_prefix@/var/kolab/php:@l_prefix@/var/kolab/php/pear:'.$include_path);
++	 '.:/usr/share/kolab-resource-handlers/php:/usr/share/kolab-resource-handlers/php/pear:'.$include_path);
+ 
+ require_once 'PEAR.php';
+-require_once 'kolabfilter/misc.php';
+-require_once 'kolabfilter/kolabmailtransport.php';
++require_once '/usr/share/kolab-resource-handlers/php/misc.php';
++require_once '/usr/share/kolab-resource-handlers/kolabmailtransport.php';
+ 
+ // Load our configuration file
+ $params = array();
+-require_once '@l_prefix@/etc/resmgr/resmgr.conf';
++require_once '/etc/kolab/resmgr.conf';
+ init();
+ 
+-define( 'TMPDIR', '@l_prefix@/var/resmgr/filter' );
++define( 'TMPDIR', '/var/lib/kolab/resmgr/filter' );
+ define( 'EX_TEMPFAIL', 75 );
+ define( 'EX_UNAVAILABLE', 69 );
+ 
+@@ -97,7 +96,7 @@
+ }
+ fclose($tmpf);
+ if( $ical ) {
+-  require_once 'kolabfilter/resmgr.php';
++  require_once '/usr/share/kolab-resource-handlers/php/resmgr.php';
+   $newrecips = array();
+   foreach( $recipients as $recip ) {
+     myLog("Calling resmgr_filter( $sender, $recip, $tmpfname )", RM_LOG_DEBUG);




More information about the pkg-kolab-devel mailing list